<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BotMemoryFact extends \Google\Protobuf\Internal\Message
{
    


    protected $fact = null;
    


    protected $factId = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getFact()
    {
        return isset($this->fact) ? $this->fact : '';
    }

    public function hasFact()
    {
        return isset($this->fact);
    }

    public function clearFact()
    {
        unset($this->fact);
    }

    




    public function setFact($var)
    {
        GPBUtil::checkString($var, True);
        $this->fact = $var;

        return $this;
    }

    



    public function getFactId()
    {
        return isset($this->factId) ? $this->factId : '';
    }

    public function hasFactId()
    {
        return isset($this->factId);
    }

    public function clearFactId()
    {
        unset($this->factId);
    }

    




    public function setFactId($var)
    {
        GPBUtil::checkString($var, True);
        $this->factId = $var;

        return $this;
    }

}

